#
# spec file for package dialog
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           dialog
Url:            http://invisible-island.net/dialog/
Version:        1.2
Release:        9.5
%define src_date 20130928
%define somajor 11
Summary:        Menus and Input Boxes for Shell Scripts
License:        LGPL-2.1
Group:          Development/Tools/Other
Source:         ftp://invisible-island.net/dialog/%{name}-%{version}-%{src_date}.tgz
Source1:        dialog.rc
Source2:        dialog.ko.po.bz2
# PATCH-FIX-OPENSUSE : fix shadow during resizing terminal
Patch0:         dialog-1.2-20121230.dif
Patch2:         dialog-gcc-warnings.patch
Requires:       terminfo-base
Suggests:       terminfo
BuildRequires:  libtool
BuildRequires:  ncurses-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This program lets you use menus and dialog boxes in shell scripts.

%package     -n libdialog%{somajor}
Summary:        Menus and Input Boxes for Shell Scripts
Group:          System/Libraries

%description -n libdialog%{somajor}
This program lets you use menus and dialog boxes in shell scripts.

%package        devel
Summary:        Menus and Input Boxes for Shell Scripts
Group:          Development/Libraries/Other
Requires:       libdialog%{somajor} = %{version}

%description    devel
This program lets you use menus and dialog boxes in shell scripts.

%package        examples
Summary:        Examples of using dialog tool
Group:          Development/Libraries/Other
Requires:       %{name} = %{version}
BuildArch:      noarch

%description    examples
Examples of using menus and dialog boxes in shell scripts.

%prep
%setup -n %{name}-%{version}-%{src_date}
bzcat %{S:2} > po/ko.po
%patch0 -p0
%patch2 -p1
chmod -x samples/*

%build
    CC=gcc
    LIBS=""
    CFLAGS="$RPM_OPT_FLAGS -pipe -Wall"
    for ncurses_conf in ncursesw6-config ncurstesw5-config ; do
	ncurses_conf=$(type -p $ncurses_conf 2> /dev/null) || continue
	LIBS="${LIBS:+$LIBS }$($ncurses_conf --libs)"
	CFLAGS="${CFLAGS:+$CFLAGS }$($ncurses_conf --cflags)"
	NCURSES_CONFIG=$ncurses_conf
	export NCURSES_CONFIG
	break
    done
    export CC LIBS CFLAGS

%configure \
    --enable-nls \
    --enable-included-msgs \
    --enable-widec \
    --with-ncursesw \
    --with-libtool \
    --disable-rpath-hack \
    --includedir=%{_includedir}/dialog

make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install

find %{buildroot}%{_libdir} -name '*.la' -type f -delete -print
find %{buildroot}%{_libdir} -name '*.a' -type f -delete -print

rm -rf %{buildroot}%{_datadir}/locale/mg/ # Malagasy (Malayalam??)
rm -rf %{buildroot}%{_datadir}/locale/rm/ # Rhaeto-Romance

mkdir %{buildroot}/etc
install -m 0644 %{S:1} %{buildroot}/etc/dialogrc
%find_lang %name

%post -n libdialog%{somajor} -p /sbin/ldconfig

%postun -n libdialog%{somajor} -p /sbin/ldconfig

%files -f %name.lang
%defattr(-,root,root)
%doc CHANGES README VERSION COPYING
%config(noreplace) /etc/dialogrc
%{_bindir}/dialog
%{_mandir}/man1/dialog.1.gz

%files -n libdialog%{somajor}
%defattr(-,root,root)
%{_libdir}/libdialog.so.%{somajor}*

%files devel
%defattr(-,root,root)
%{_bindir}/dialog-config
%{_libdir}/libdialog.so
%{_includedir}/dialog/
%{_mandir}/man3/dialog.3.gz

%files examples
%defattr(-,root,root)
%doc samples/*

%changelog
* Thu Dec 12 2013 p.drouand@gmail.com
- Update to version 1.2-20130928
  + fix a regression in gauge widget from 1.2-20130928 changes;
    dlg_reallocate_gauge() failed when no --title option was given
- Changes from 1.2-20130923
  + fix samples/inputbox6-utf8, which had depended unnecessarily on bash.
  + improve memory caching for wide-character manipulation in gauge
    widget
  + add dlg_reallocate_gauge
  + updated configure macros to use msys changes from ncurses.
  + update config.guess, config.sub
- Changes from 1.2-20130902
  + modify makefile rule to make the ".png" filenames created by groff
    predictable.
  + add option --help-tags to allow scripts to get the item's tag field
    consistently from help- and help-item button results rather than
    getting the item's text for the latter
  + correct manpage discussion of DIALOG_ITEM_HELP versus --item-help,
    as well as --help-button return status
  + correct limit used for --hline option
  + do not print empty "[]" if a --hline option was given with an empty
    value
  + miscellaneous configure script fixes/updates.  In particular, add
    option --with-shared which builds shared libraries without a libtool
    dependency.
  + add FreeBSD port-files for test-builds.
  + update lt.po, add fa.po from
    http://translationproject.org/latest/dialog/
  + update config.guess, config.sub
- Changes from 1.2-20130523
  + modify ifdef in arrows.c to work around packages which use the
    wide-character ncursesw headers with the ncurses library
  + correct workaround for xterm alternate-screen to work with/without
    the fix made in ncurses that makes putp() always write to the
    standard output (Debian #708829).
  + improve limit-checks for checklist, in case the dialog is resized
  + add --last-key option ( Debian #697607).
- Changes from 2013/03/15
  + update zh_TW.po, add an.po from
    http://translationproject.org/latest/dialog/
- Remove dialog-libs.patch; fixed on upstream release
* Fri Jun 21 2013 werner@suse.de
- Require terminfo-base and suggest terminfo to have on many or on
  mostly all terminals valid line graphics (bnc#826171)
* Thu Feb 28 2013 werner@suse.de
- Re-add patch dialog-1.2-20121230.dif: Fix problem with moving
  shadows during terminal resize
- Use a /etc/dialogrc for openSUSE default coloring/shadow defaults
- Re-add Korean language message file
* Fri Feb 22 2013 dmitry_r@opensuse.org
- Update to version 1.2-20121230
  * See included CHANGES file for detailes
* Fri Feb 22 2013 dmitry_r@opensuse.org
- Fix libraries
  * dialog-libs.patch
* Thu Jan 31 2013 cfarrell@suse.com
- license update: LGPL-2.1
  See e.g. editbox.c
* Sun Jan 27 2013 dmitry_r@opensuse.org
- Build with libtool using
- Add devel package
* Sun Sep 18 2011 jengelh@medozas.de
- Remove redundant tags/sections from specfile
  (cf. packaging guidelines)
* Sun Oct 31 2010 jengelh@medozas.de
- Use %%_smp_mflags
* Wed Sep  8 2010 werner@suse.de
- Disable gpm as it is not used for long time
* Thu Jul  1 2010 werner@suse.de
- Added korean po translation file (bnc#614248)
* Fri Dec 18 2009 jengelh@medozas.de
- Enable parallel build
* Mon Aug 18 2008 werner@suse.de
- Reflect last changes in ncurses
* Thu Aug 14 2008 werner@suse.de
- Update to version 1.1 patchlevel 20080727
- Use new ncurses ABI 6 which has extend mouse and color support
* Thu Apr 10 2008 werner@suse.de
- Update to version 1.1 patchlevel 20080316 which includes our
  shadow patch and is fully compatible with newer ncurses.
* Sat Mar 31 2007 rguenther@suse.de
- Add gpm BuildRequires
* Mon Jul 10 2006 werner@suse.de
- Update to new version 1.0 (20060221 TD)
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Apr  6 2004 werner@suse.de
- More about shadows: Make them resizable.
* Thu Apr  1 2004 werner@suse.de
- Update to UTF-8 workable version, use wide char version (#37850)
* Sun Jan 11 2004 adrian@suse.de
- add %%defattr
* Thu Jun 12 2003 coolo@suse.de
- use BuildRoot
- package translations too
* Wed Jan  8 2003 werner@suse.de
- Fix bug#22787: Update to new version 0.92b (20020814 TD)
- Correct shadow support
* Tue Sep 17 2002 ro@suse.de
- removed bogus self-provides
* Fri Feb 25 2000 werner@suse.de
- Do not highlight shadows
* Fri Feb 25 2000 werner@suse.de
- ioctl: if stdout is not a tty try stdin
- Make PageUp and PageDown work as Up and Down in menubox,
  checkbox, and radiobox.
* Thu Feb 24 2000 werner@suse.de
- Security fix in gauge menu
- /usr/man -> /usr/share/man
- Small optimations for several ncurses versions
- Use RPM_OPT_FLAGS
- Make DEL/BS work on any terminal even if terminfo is broken
- Make dialogrc dump work again
- Make shadow work and enable shadow support
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Jan  2 1997 florian@suse.de
  just recompiled for newer ncurses
